package applixml;

import java.io.*;
import java.util.*;
import java.lang.*;

public class testTxtToXml
{
    static String outXML = "";

    public static void main (String args []) throws Exception
    {

        if (args.length < 6)
        {
                System.out.println ("Usage : java ToXML <sementique> <geographie> [output]");
                System.exit (0);
        }
       
	// Le fichier de sortie peut etre specifie en argument (-OUT <ficXML>)
	for (int i=0; i<args.length; i++)
	    {
		if (args [i].equals ("-OUT"))
		    {
			outXML = args [i+1];
		    }
	    }

	if (outXML.equals (""))
	    {
		outXML = "carteMat.xml";
	    }

	// Lecture des fichiers DATA
        Token tok = new Token (args [0], args [1], args [2], args [3],  args [4], args [5]);

	/*
	  System.out.println ("Mat Accidents\n" + tok.tableAccident.toString ());
	  System.out.println ("Mat Batiment\n" + tok.tableBatiment.toString ());
	  System.out.println ("Mat Route\n" + tok.tableRoute.toString ());
	*/

	// Conversion des DATA en XML
	txtToXml TxtToXml = new txtToXml(tok.tableAccident, tok.idAccident, tok.tableBatiment, tok.idBatiment, tok.tableRoute, tok.idRoute, outXML);

	// Test de la convertion en XML
	XmlToTxt ToXML = new XmlToTxt(outXML);
	ToXML.convertToXml();
    }
}
