<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<!-- Debut du document -->

<xsl:template match="/">
	<html>
	<title>Carte</title>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	</meta>
	<body bgcolor="#FFFFFF">
	</body>
	</html>
	<xsl:apply-templates/>
</xsl:template>

<!-- Accidents -->

<xsl:template match="accident">
	<div align="center">
	<hr></hr>
	<h1>Accident <xsl:value-of select="id"/></h1>
	<hr></hr>
	<table cellspacing="8" cellpadding="4">
	<tr>
	<td bgcolor="#abcdef">Nombre de personnes impliques</td><td bgcolor="#fedcba"><xsl:value-of select="nombrePersonnes"/></td>
	</tr>
	<tr>
	<td bgcolor="#fedcba">Lieu</td><td bgcolor="#abcdef"><xsl:value-of select="lieu"/></td>
	</tr>
	<tr>
	<td bgcolor="#abcdef">Localit numro</td><td bgcolor="#fedcba"><xsl:value-of select="localisation"/></td>
	</tr>
	</table>
	</div>
	<xsl:apply-templates select="nuage | ligne | region"/>
</xsl:template>

<!-- Batiments -->

<xsl:template match="batiment">
	<hr></hr>
	<div align="center">
	<hr></hr>
	<h1>Batiment <xsl:value-of select="id"/></h1>
	<hr></hr>
	<hr></hr>
	<table cellspacing="8" cellpadding="4">
	<tr>
	<td bgcolor="#abcdef">Couleur</td><td bgcolor="#fedcba"><xsl:value-of select="couleur"/></td>
	</tr>
	<tr>
	<td bgcolor="#fedcba">Type</td><td bgcolor="#abcdef"><xsl:value-of select="type"/></td>
	</tr>
	<tr>
	<td bgcolor="#abcdef">Ville</td><td bgcolor="#fedcba"><xsl:value-of select="nomVille"/></td>
	</tr>
	<tr>
	<td bgcolor="#fedcba">CP</td><td bgcolor="#abcdef"><xsl:value-of select="CP"/></td>
	</tr>
	</table>
	</div>
	<xsl:apply-templates select="nuage | ligne | region"/>
</xsl:template>

<!-- Routes -->

<xsl:template match="route">
	<div align="center">
	<hr></hr>
	<h1>Route <xsl:value-of select="id"/></h1>
	<hr></hr>
	<table cellspacing="8" cellpadding="4">
	<tr>
	<td bgcolor="#abcdef">Dbit</td><td bgcolor="#fedcba"><xsl:value-of select="debit"/></td>
	</tr>
	<tr>
	<td bgcolor="#fedcba">Type</td><td bgcolor="#abcdef"><xsl:value-of select="type"/></td>
	</tr>
	<tr>
	<td bgcolor="#abcdef">Distance</td><td bgcolor="#fedcba"><xsl:value-of select="distance"/></td>
	</tr>
	</table>
	</div>
	<xsl:apply-templates select="nuage | ligne | region"/>
</xsl:template>

<!-- Nuages -->

<xsl:template match="nuage">
	<div align="center">
	<table bgcolor="e0e0e0">
	<tr><td colspan="2" align="center"><b>Nuage</b></td></tr>
	<tr><td align="center">X</td><td align="center">Y</td></tr>
	<tr><xsl:apply-templates select="point"/></tr>
	</table>
	</div>
</xsl:template>

<!-- Lignes -->

<xsl:template match="ligne">
	<div align="center">
	<table bgcolor="e0e0e0">
	<tr><td colspan="2" align="center"><b>Ligne</b></td></tr>
	<tr><td align="center">X</td><td align="center">Y</td></tr>
	<tr><xsl:apply-templates select="point"/></tr>
	</table>
	</div>
</xsl:template>

<!-- Regions -->

<xsl:template match="region">
	<div align="center">
	<table bgcolor="e0e0e0">
	<tr><td colspan="2" align="center"><b>Region</b></td></tr>
	<tr><td align="center">X</td><td align="center">Y</td></tr>
	<tr><xsl:apply-templates select="point"/></tr>
	</table>
	</div>
</xsl:template>

<!-- Points -->

<xsl:template match="point">
	<tr><td><xsl:value-of select="@x"/></td>
	<td><xsl:value-of select="@y"/></td></tr>
</xsl:template>


</xsl:stylesheet>
